<?php 
/**
 * Custom post type
 *
 * Created custom post types
 *
 * @link http://sellplrplugins.com
 * @since 1.0.0
 *
 * @package Delayed Download
 */
function spp_ddl_init() {
  // Set arguments for download redirect 'spp_ddl' post type
  $ddl_args = array(
    'public' => true,
    'exclude_from_search' => true,
    'supports' => array(
      'title',
      'editor'
      ),
    'query_var' => 'spp_ddl',
    'rewrite' => array(
      'slug' => 'spp-ddl',
      'with_front' => false
      ),
    'register_meta_box_cb' => 'spp_ddl_mbe_create',
    'labels' => array(
      'name' => SPP_DDL_PLUGIN_NAME,
      'singular_name' => SPP_DDL_PLUGIN_NAME,
      'add_new' => 'Add New',
      'add_new_item' => 'Add New',
      'edit_item' => 'Edit '.SPP_DDL_PLUGIN_NAME.' Item',
      'new_item' => 'New '.SPP_DDL_PLUGIN_NAME.' Item',
      'view_item' => 'View '.SPP_DDL_PLUGIN_NAME.' Item',
      'search_items' => 'Search '.SPP_DDL_PLUGIN_NAME.' Items',
      'not_found' => 'No '.SPP_DDL_PLUGIN_NAME.' Items Found',
      'not_found_in_trash' => 'No '.SPP_DDL_PLUGIN_NAME.' Items Found In Trash'
      )
    );
    // Registers the download redirect post type
    register_post_type( 'spp_ddl', $ddl_args );
}

function spp_ddl_activation() {
  // Run post type first so we have something to flush
  spp_ddl_init();
  // Flush rules to make permalinks work
  flush_rewrite_rules();
}

?>