<?php 
/**
 * Loads metaboxes
 *
 * Metaboxes for custom post type
 *
 * @link http://sellplrplugins.com
 * @since 1.0.0
 *
 * @package Delayed Download
 */
/* Callback to add metaboxes, defined in register_post_type arguments register_meta_box_cb */
function spp_ddl_mbe_create() {
  add_meta_box( 'spp-ddl-file', 'File URL', 'spp_ddl_file_mbe_func', 'spp_ddl', 'normal', 'high' );
  add_meta_box( 'spp-ddl-dl-opts', 'Download Options', 'spp_ddl_dlopts_mbe_func', 'spp_ddl', 'normal', 'default' );
  add_meta_box( 'spp-ddl-cust-des', 'Design', 'spp_ddl_custdes_mbe_func', 'spp_ddl', 'normal', 'default' );
}

/* Draws the download file URL meta box */
function spp_ddl_file_mbe_func( $post ) {
	wp_nonce_field( 'save_meta', '_spp_ddl_save_meta' );
	// Get post meta
	$post_meta = get_post_meta( $post->ID, '_spp_ddl_post_meta' );
	if( !empty($post_meta) )
		$meta = $post_meta[0];
	
	echo 'Enter the URL to the file you want people to download.';
	?>
	<table class="form-table">
		<tr valign="top">
			<th scope="row">File:</th>
			<td><input type="text" size="65" name="spp_ddl_file_name" value="<?php if( !empty($meta['spp_ddl_file_name']) ) echo esc_url( $meta['spp_ddl_file_name'] ); ?>" /></td>
		</tr>
	</table>
	<?php
}

/* Draws the download options metabox */
function spp_ddl_dlopts_mbe_func( $post ) {
	wp_nonce_field( 'save_meta', '_spp_ddl_save_meta' );
	
	// Get post meta
	$post_meta = get_post_meta( $post->ID, '_spp_ddl_post_meta' );
	if( !empty($post_meta) )
		$meta = $post_meta[0];

	// Retrieve data
	?>
	<table class="form-table">
	<tr valign="top">
		<th scope="row">Content position</th>
		<td>
			<label class="position radio"><input type="radio" name="spp_ddl_position" value="1" <?php if(!empty($meta['spp_ddl_position'])) checked( $meta['spp_ddl_position'], '1', true ) ?>><br>Top, Before counter</label>
			<label class="position radio"><input type="radio" name="spp_ddl_position" value="2" <?php if(!empty($meta['spp_ddl_position'])) checked( $meta['spp_ddl_position'], '2', true ) ?>><br>After counter, Before opt-in</label>
			<label class="position radio"><input type="radio" name="spp_ddl_position" value="3" <?php if(!empty($meta['spp_ddl_position'])) checked( $meta['spp_ddl_position'], '3', true ) ?>><br>Bottom, After opt-in</label>
		</td>
	</tr>
	<tr valign="top">
		<th scope="row">Counter style</th>
		<td>
			<label class="style radio"><input type="radio" name="spp_ddl_style" value="1" <? if(!empty($meta['spp_ddl_style'])) checked( $meta['spp_ddl_style'], '1', true ) ?>><br>Red</label>
			<label class="style radio"><input type="radio" name="spp_ddl_style" value="2" <?php if(!empty($meta['spp_ddl_style'])) checked( $meta['spp_ddl_style'], '2', true ) ?>><br>Blue</label>
			<label class="style radio"><input type="radio" name="spp_ddl_style" value="3" <?php if(!empty($meta['spp_ddl_style'])) checked( $meta['spp_ddl_style'], '3', true ) ?>><br>Green</label>
			<label class="style radio"><input type="radio" name="spp_ddl_style" value="4" <?php if(!empty($meta['spp_ddl_style'])) checked( $meta['spp_ddl_style'], '4', true ) ?>><br>Yellow</label>
		</td>
	</tr>
	<tr valign="top">
		<th scope="row">Countdown duration</th>
		<td>
			<input id="duration" class="small-text" type="text" name="spp_ddl_duration" value="<?php if(!empty($meta['spp_ddl_duration'])) echo sanitize_text_field( $meta['spp_ddl_duration'] ); ?>"> seconds
		</td>
	</tr>
	<tr valign="top">
		<th scope="row">
			Paste Your Autoresponder Code<br>
			<small><a id="viewarcode">View advanced fields</a></small>
		</th>
		<td><textarea name="ar_code" id="ar_code" cols="50" rows="5" class="large-text"><?php if( !empty( $meta['ar_code'] ) ) echo stripcslashes( $meta['ar_code'] ); ?></textarea><br>
			<a id="clear_ar_code">Remove Autoresponder Code</a>
		<div id="arcode_hdn_div" ></div>
		<div id="arcode_hdn_div2"></div>
		</td>
	</tr>
	<tr valign="top" class="ar_advance">
		<th scope="row">Name Field</th>
		<td><input type="text" name="ar_name" id="ar_name" class="ar_name regular-text" value="<?php if( !empty( $meta['ar_name'] ) ) echo sanitize_text_field( $meta['ar_name'] ); ?>" /></td>
	</tr>
	<tr valign="top"  class="ar_advance">
		<th scope="row">Email Field</th>
		<td><input type="text" name="ar_email" id="ar_email" class="ar_email regular-text" value="<?php if( !empty( $meta['ar_email'] ) ) echo sanitize_text_field( $meta['ar_email'] ); ?>" /></td>
	</tr>
	<tr valign="top"  class="ar_advance">
		<th scope="row">AR Post URL</th>
		<td><input type="text" name="ar_url" id="ar_url" class="ar_url regular-text" value="<?php if( !empty( $meta['ar_url'] ) ) echo esc_url( $meta['ar_url'] ); ?>" /></td>
	</tr>
	<tr valign="top"  class="ar_advance">
		<th scope="row">Hidden Fields</th>
		<td><textarea name="ar_hidden" id="ar_hidden" class="ar_hidden large-text" rows="5" cols="50"><?php if( !empty( $meta['ar_hidden'] ) ) echo stripslashes( $meta['ar_hidden'] ); ?></textarea></td>
	</tr>
	<tr valign="top">
		<th scope="row">Name Field Label<br><small>Text that appears in the name field</small></th>
		<td>
		<input type="text" class="ar_name_label regular-text" id="ar_name_label" name="ar_name_label" value="<?php if( !empty( $meta['ar_name_label'] ) ) echo sanitize_text_field( $meta['ar_name_label'] ); ?>">
		</td>
	</tr>
	<tr valign="top">
		<th scope="row">Email Field Label<br><small>Text that appears in the email field</small></th>
		<td>
		<input type="text" class="ar_email_label regular-text" id="ar_email_label" name="ar_email_label" value="<?php if( !empty( $meta['ar_email_label'] ) ) echo sanitize_text_field( $meta['ar_email_label'] ); ?>">
		</td>
	</tr>
	<tr valign="top">
		<th scope="row">Button Label<br><small>Text that appears in the button</small></th>
		<td>
		<input type="text" class="ar_button_label regular-text" id="ar_button_label" name="ar_button_label" value="<?php if( !empty( $meta['ar_button_label'] ) ) echo sanitize_text_field( $meta['ar_button_label'] ); ?>">
		</td>
	</tr>
	<tr valign="top">
		<th scope="row">Submit Button Color</th>
		<td>
			<input type="text" name="ar_btn_clr" id="ar_btn_clr" class="color-picker ar-btn-clr" value="<?php if( !empty( $meta['ar_btn_clr'] ) ) echo sanitize_text_field( $meta['ar_btn_clr'] ); ?>">
		</td>
	</tr>
	<tr valign="top">
		<th scope="row">Submit Button Text Color</th>
		<td>
			<input type="text" name="ar_btn_txt_clr" id="ar_btn_txt_color" class="color-picker ar-btn-txt-clr" value="<?php if( !empty( $meta['ar_btn_txt_clr'] ) ) echo sanitize_text_field( $meta['ar_btn_txt_clr'] ); ?>">
		</td>
	</tr>
	</table>
	<?php
}

/* Draws the design options meta box */
function spp_ddl_custdes_mbe_func( $post ) {
	wp_nonce_field( 'save_meta', '_spp_ddl_save_meta' );
	// Get post meta
	$post_meta = get_post_meta( $post->ID, '_spp_ddl_post_meta' );
	if( !empty($post_meta) )
		$meta = $post_meta[0];

	?>
	<table class="form-table">
	<tr valign="top">
	<th scope="row">Custom CSS</th><td><textarea name="spp_ddl_custom_css" rows="10" cols="30" class="large-text"><?php if( !empty( $meta['spp_ddl_custom_css'] ) ) { echo esc_textarea( $meta['spp_ddl_custom_css'] ); } ?></textarea></td>
	</tr>
	</table>
	<?php
}

// Saves metabox data
add_action( 'save_post', 'spp_ddl_save_meta' );

function spp_ddl_save_meta( $post_id ) {
	global $post;
	global $typenow;

	// Check if on CPT
	if ( 'spp_ddl' != $typenow ) {
		return;
	}
	// Check if autosave is running
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
		return $post_id;
	}
	// If is saving
	if( !isset($_POST['_spp_ddl_save_meta']) ){
		return;
	}
	// Verify nonce
	if ( !empty($_POST['_spp_ddl_save_meta']) && !wp_verify_nonce( $_POST['_spp_ddl_save_meta'], 'save_meta' ) ) {
		echo 'Sorry, nonce did not verify.';
		exit;
	}
	
	// Verify permissions
	if ( !current_user_can( 'edit_page', $post_id ) )
    	return;

	//Verify, sanitize
	// Selections & Radios
	$pos_opts = array(
		"1",
		"2",
		"3",
		"4"
		);
	if( isset($_POST['spp_ddl_position']) && in_array($_POST['spp_ddl_position'], $pos_opts)) {
		$valid_spp_ddl_position = $_POST['spp_ddl_position'];
	}
	if( isset($_POST['spp_ddl_style']) && in_array($_POST['spp_ddl_style'], $pos_opts)) {
		$valid_spp_ddl_style = $_POST['spp_ddl_style'];
	}

	// Text fields
	$valid_spp_ddl_file_name = ( isset( $_POST['spp_ddl_file_name'] ) && ( filter_var( $_POST['spp_ddl_file_name'], FILTER_VALIDATE_URL ) == true ) ) ? esc_url_raw( $_POST['spp_ddl_file_name'] ) : '' ;
	$valid_ar_url = ( isset( $_POST['ar_url'] ) && ( filter_var( $_POST['ar_url'], FILTER_VALIDATE_URL ) == true ) ) ? esc_url_raw( $_POST['ar_url'] ) : '' ; 
	$valid_spp_ddl_duration = ( isset( $_POST['spp_ddl_duration'] ) && ( is_numeric( $_POST['spp_ddl_duration'] ) == true ) ) ? intval( $_POST['spp_ddl_duration'] ) : '10' ;
	$valid_ar_name = ( isset( $_POST['ar_name'] ) && ( ctype_alnum( $_POST['ar_name'] ) == true ) ) ? sanitize_text_field( $_POST['ar_name'] ) : '' ;
	$valid_ar_email = ( isset( $_POST['ar_email'] ) && ( ctype_alnum( $_POST['ar_email'] ) == true ) ) ? sanitize_text_field( $_POST['ar_email'] ) : '' ;
	$valid_ar_name_label = ( isset( $_POST['ar_name_label'] ) ) ? sanitize_text_field( $_POST['ar_name_label'] ) : '' ;
	$valid_ar_email_label = ( isset( $_POST['ar_email_label'] ) ) ? sanitize_text_field( $_POST['ar_email_label'] ) : '' ;
	$valid_ar_button_label = ( isset( $_POST['ar_button_label'] ) ) ? sanitize_text_field( $_POST['ar_button_label'] ) : 'invalid' ;

	$ar_btn_clr = ltrim($_POST['ar_btn_clr'], '#');
	$valid_ar_btn_clr = ( isset( $_POST['ar_btn_clr'] ) && ctype_alnum($ar_btn_clr) == 1 ) ? sanitize_text_field( $_POST['ar_btn_clr'] ) : '' ;
	$ar_btn_txt_clr = ltrim($_POST['ar_btn_txt_clr'], '#');
	$valid_ar_btn_txt_clr = ( isset( $_POST['ar_btn_txt_clr'] ) && ctype_alnum($ar_btn_txt_clr) == 1 ) ? sanitize_text_field( $_POST['ar_btn_txt_clr'] ) : 'oops' ; 

	// Textareas
	if( isset( $_POST['spp_ddl_custom_css'] ) ) {
		$valid_spp_ddl_custom_css = esc_textarea( $_POST['spp_ddl_custom_css'] );
	}
	if( isset( $_POST['ar_code'] ) ) {
		$valid_ar_code = esc_textarea( $_POST['ar_code'] );
	}
	if( isset( $_POST['ar_hidden'] ) ) {
		$valid_ar_hidden = esc_textarea( $_POST['ar_hidden'] );
	}

	// Metadata array
	$spp_ddl_meta_array = array(
		'spp_ddl_file_name' => $valid_spp_ddl_file_name,
		'spp_ddl_position' => $valid_spp_ddl_position,
		'spp_ddl_style' => $valid_spp_ddl_style,
		'spp_ddl_duration' => $valid_spp_ddl_duration,
		'ar_code' => $valid_ar_code,
		'ar_name' => $valid_ar_name,
		'ar_email' => $valid_ar_email,
		'ar_url' => $valid_ar_url,
		'ar_hidden' => $valid_ar_hidden,
		'ar_name_label' => $valid_ar_name_label,
		'ar_email_label' => $valid_ar_email_label,
		'ar_button_label' => $valid_ar_button_label,	
		'ar_btn_clr' => $valid_ar_btn_clr,
		'ar_btn_txt_clr' => $valid_ar_btn_txt_clr,
		'spp_ddl_custom_css' => $valid_spp_ddl_custom_css
		);

	//Save metadata
	update_post_meta( $post_id, '_spp_ddl_post_meta', $spp_ddl_meta_array);
	
	
}
?>