<?php 
/**
 * Scripts
 *
 * Enqueue scripts for both admin and front end
 *
 * @link http://sellplrplugins.com
 * @since 1.0.0
 *
 * @package Delayed Download
 */
// Function to add admin scripts to custom post type 'dlr' post screen
add_action( 'admin_enqueue_scripts', 'spp_ddl_admin_scripts', 10, 1 );
function spp_ddl_admin_scripts( $hook ) {
  global $post;
  
  if( 'post-new.php' == $hook || 'post.php' == $hook ) {
    if( 'spp_ddl' == $post->post_type ) {
	    wp_enqueue_script( 'spp_ddl_color_picker', SPP_DDL_DIR.'modules/js/admin.js', array('jquery', 'wp-color-picker'), false, true );
	    wp_enqueue_script( 'spp_ddl_arcode', SPP_DDL_DIR.'modules/js/arcode.js', array('jquery'), false, true );
	    wp_enqueue_style( 'wp-color-picker' );
	    wp_enqueue_style( 'spp-ddl-admin', SPP_DDL_DIR.'modules/css/admin.css','', false, 'all' );
    }
  }

}

// Localize script for TinyMCE editor use
add_action( 'before_wp_tiny_mce', 'spp_ddl_localize_for_tinymce' );
function spp_ddl_localize_for_tinymce() {
	global $post;
	$params = array(
		'spp_ddl_plugin_name' => SPP_DDL_PLUGIN_NAME
	);
	?>
	<script type='text/javascript'>
	/* <![CDATA[ */
	var spp_ddl_tinymce_object = <?php echo json_encode( $params ); ?>;
	/* ]]> */
	</script>
	<?php
}
?>