<?php 
/*
 * Template for Redirect Download Plugin pages
 */
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
$meta = get_post_meta( $post->ID );
$ddl = unserialize( $meta['_spp_ddl_post_meta']['0'] );
if( $ddl['spp_ddl_style'] == '1' ) {
	$style = 'Red';
} elseif( $ddl['spp_ddl_style'] == '2' ) {
	$style = 'Blue';
} elseif ( $ddl['spp_ddl_style'] == '3' ) {
	$style = 'Green';
} else {
	$style = 'Yellow';
}
$ar_email_label = ( !empty($ddl['ar_email_label']) ) ? $ddl['ar_email_label'] : 'Email' ;
$ar_name_label = ( !empty($ddl['ar_name_label']) ) ? $ddl['ar_name_label'] : 'Name' ;

wp_enqueue_script( 'spp-ddl-magnific-popup', SPP_DDL_DIR.'modules/js/magnific-popup.js',array('jquery'), '0.9.9', true );
wp_enqueue_script( 'spp-ddl-front', SPP_DDL_DIR.'modules/js/front.js',array('jquery', 'spp-ddl-magnific-popup'), SPP_DDL_VERSION, true );
wp_enqueue_script( 'spp-ddl-countdown', SPP_DDL_DIR.'modules/js/countdown.js',array('jquery'), SPP_DDL_VERSION, true );
wp_localize_script( 'spp-ddl-countdown', 'spp_ddl_vars', array('duration' => $ddl["spp_ddl_duration"], 'fileurl' => $ddl["spp_ddl_file_name"] ) );
wp_register_style( 'spp-ddl-front', SPP_DDL_DIR.'modules/css/front.css','', false, 'all' );
wp_enqueue_style( 'spp-ddl-front' );
wp_enqueue_style( 'spp-ddl-magnific-popup', SPP_DDL_DIR.'modules/css/magnific-popup.css','', false, 'all' );
?>
<html>
<head>
	<title><?php the_title(); ?></title>
	<?php if( !empty( $ddl['ar_btn_clr'] ) || !empty( $ddl['ar_btn_txt_clr'] ) ) {
		?>
		<style>
		#spp-ddl-optin .opt-btn {background-color: <?php echo sanitize_text_field( $ddl['ar_btn_clr'] ); ?>; color: <?php echo sanitize_text_field( $ddl['ar_btn_txt_clr'] ); ?>;}
		</style>
		<?php
	}
	if ( !empty( $ddl['spp_ddl_custom_css'] ) ) {
		?>
		<style>
		<?php echo esc_textarea( $ddl['spp_ddl_custom_css'] ); ?>
		</style>
		<?php
	}
	?>

	<?php wp_head(); ?>
</head>
	<body class="ddl-default">
		<div id="main_container">
		<?php
		if (have_posts()) : while (have_posts()) : the_post();

			// Display content here?
			if ( !empty($ddl['spp_ddl_position']) && $ddl['spp_ddl_position'] == '1' ) {				
				the_content();
			}
		?>
			<div id="spp-ddl-counter-msg" class="<?php if( !empty($style) ) echo $style; ?>">
			<p>Your download will begin in <span id="spp-ddl-countdown" class="<?php if( !empty($style) ) echo $style; ?>" ><?php echo $ddl['spp_ddl_duration']; ?></span> seconds.</p>
			<p id="spp-ddl-dl-link"style="display: none;"><a href="<?php if( !empty($ddl['spp_ddl_file_name']) ) echo $ddl['spp_ddl_file_name']; ?>">Click here</a> if download doesn't start automatically.</p>
			</div>
		<?php
			// Display content here?
			if ( !empty($ddl['spp_ddl_position']) && $ddl['spp_ddl_position'] == '2' ) {
				the_content();
			}
			// Display Opt-in?
			if( !empty( $ddl['ar_code'] ) ) {
			?>
			<div id="spp-ddl-optin"><form action="<?php if( !empty($ddl['ar_url']) ) echo $ddl['ar_url']; ?>">
				<?php if( !empty( $ddl['ar_name'] ) ) { ?>
				<input id="spp-ddl-name" class="spp-ddl-text" type="text" name="<?php if( !empty($ddl['ar_name']) ) echo $ddl['ar_name']; ?>" value="<?php echo $ar_name_label; ?>" onfocus="if(this.value=='<?php echo $ar_name_label; ?>') { this.value = '' }" onblur="if(this.value=='') { this.value = '<?php echo $ar_name_label ?>' }">
				<?php } ?>
				<input id="spp-ddl-email" class="spp-ddl-text" type="text" name="<?php if( !empty($ddl['ar_email']) ) echo $ddl['ar_email']; ?>" value="<?php echo $ar_email_label; ?>" onfocus="if(this.value=='<?php echo $ar_email_label; ?>') { this.value = '' }" onblur="if(this.value=='') { this.value = '<?php echo $ar_email_label; ?>' }">
				<?php echo html_entity_decode( $ddl['ar_hidden'] ); ?>
				<input class="opt-btn" type="submit" name="submit" value="<?php if( !empty($ddl['ar_button_label']) ) { echo $ddl['ar_button_label']; } else { echo 'Subscribe'; } ?>">
			</form></div>
		<?php
			}
			// Display content here?
			if ( !empty($ddl['spp_ddl_position']) && $ddl['spp_ddl_position'] == '3' ) {
				the_content();
			}

		endwhile; endif; ?>
		</div>
		<?php wp_footer(); ?>
	</body>
</html>